# Ruby Holidays Gem CHANGELOG

## 2.2.0

* Correct 'informal' type for Dodenherdenking holiday in NL definitions (https://github.com/MathijsK93)

## 2.1.0

* Updated Slovak holiday definitions (https://github.com/guitarman)
* Fix Japanese non-Monday substitute holidays (https://github.com/shuhei)
* Fixed typo in Slovak holiday definitions (https://github.com/martinsabo)
* Updated New Zealand definitions to reflect new weekend-to-monday rules (https://github.com/SebastianEdwards)
* Fix Australian definitions (https://github.com/ghiculescu)

## 2.0.0

* Add test coverage
* Remove support for Ruby 1.8.7 and REE. (https://github.com/itsmechlark)
* Add support for Ruby 2.2 (https://github.com/itsmechlark)
* Add PH holidays (https://github.com/itsmechlark)
* Belgian holidays now written in French instead of English (https://github.com/maximerety)
* Update California (USA) holidays to include Cesar Chavez and Thanksgiving (https://github.com/evansagge)

## 1.2.0

* Remove inauguration day from USA Federal Reserve definitions (https://github.com/aripollak)
* Add caching functionality for date ranges (https://github.com/ndbroadbent & https://github.com/ghiculescu)

## 1.1.0

* Add support to load custom holidays on the fly
* Add hobart & launceston show days (https://github.com/ghiculescu)
* Add Melbourne Cup day (https://github.com/ghiculescu)
* Add Hobart Regatte Day (https://github.com/ghiculescu)
* Add Costa Rican holidays (https://github.com/kevinwmerritt)
* Update Canadian Holidays (https://github.com/KevinBrowne)
* Add substitute holidays for Japan (https://github.com/YoshiyukiHirano)
* Fix USA Federal Reserve Holidays
* Add FedEx holidays (https://github.com/adamrunner)

## 1.0.7

* Load parent region even when sub region is not explicitly defined (https://github.com/csage)
* Full support for http://en.wikipedia.org/wiki/ISO_3166-2:DE (https://github.com/rojoko)
* Added Lithuanian definitions (https://github.com/Brunas)
* Added Chilean definitions (https://github.com/marcelo-soto)g
* Added European Central Bank TARGET definitions (Toby Bryans, NASDAQ OMX NLX)
* FR: Make Pâques and Pentecôte informal holidays (https://github.com/wizcover)
* NL: Update for the new King (https://github.com/johankok)
* Added Slovenian definitions (https://github.com/bbalon)

## 1.0.6

* Added `Holidays.regions` method (https://github.com/sonnym)
* Added Slovakian definitions (https://github.com/mirelon)
* Added Venezuelan definitions (https://github.com/Chelo)
* Updated Canadian definitions (https://github.com/sdavies)
* Updated Argentinian definitions (https://github.com/popox)
* Updated Australian definitions (https://github.com/ghiculescu)
* Updated Portuguese definitions (https://github.com/MiPereira)
* Added Swiss definitions (https://github.com/samzurcher, https://github.com/jg)
* Added Romanian definitions (https://github.com/mtarnovan)
* Added Belgian definitions (https://github.com/jak78)
* Added Moroccan definitions (https://github.com/jak78)
* Fixes for New Year's and Boxing Day (https://github.com/iterion, https://github.com/andyw8)
* Fixes for Father's Day, Mother's Day and Armed Forces Day (https://github.com/eheikes)
* Typos (https://github.com/gregoriokusowski, https://github.com/popox)
* Added Croatian definitions (https://github.com/lecterror)
* Added US Federal Reserve holidays (https://github.com/willbarrett)
* Added NERC holidays (https://github.com/adamstrickland)
* Updated Irish holidays (https://github.com/xlcrs)

## 1.0.5

* Added `full_week?` method (https://github.com/dceddia)
* Added Portuguese definitions (https://github.com/pmor)
* Added Hungarian definitions (https://github.com/spap)
* Typos (https://github.com/DenisKnauf)

## 1.0.4

* Add Liechtenstein holiday defs (mercy vielmal Bernhard Furtmueller)

## 1.0.3

* Add Austrian holiday definitions (thanks to Vogel Siegfried)

## 1.0.2

* Add `orthodox_easter` method and Greek holiday definitions (thanks https://github.com/ddimitriadis)

## 1.0.0

* Support calculating mday from negative weeks other than -1 (thanks https://github.com/bjeanes)
* Use class method to check leap years and fixed bug in Date.calculate_mday (thanks https://github.com/dgrambow)
* Added Czech (thanks https://github.com/boblin), Brazilian (https://github.com/fabiokr), Norwegian (thanks to Peter Skeide) and Australia/Brisbane (https://github.com/bjeanes) definitions
* Cleaned up rake and gemspec

## 0.9.3

* Added New York Stock Exchange holidays (thank you Alan Larkin).
* Added UPS holidays (thank you Tim Anglade).
* Fixed rakefile to force lower case definition file names.

## 0.9.2

* Included rakefile in Gem (thank you James Herdman).

## 0.9.1

* au.yaml was being included incorrectly in US holiday definitions. Thanks to [Glenn Vanderburg](http://vanderburg.org/) for the fix.

## 0.9.0

* Initial release.
